// Stage de rentree TP3
clear
u0=0;u1=1;

function res=suite(n)
  if n==0
    res=u0;
  elseif n==1
    res=u1;
  else
    u_nMoins1=u0;
    u_n=u1;
  for k=2:n
    u_nPlus1=u_nMoins1 + u_n;
    u_nMoins1=u_n;
    u_n=u_nPlus1;
  end
  res=u_nPlus1;
end
endfunction

V1=[1;0];
A=[1 1;1 0];
function res=suite2(n)
  if n=1
    res=V1
  else
    V=V1;
    for k=2:n
      V=A*V;
    end
    res=V;
  end
endfunction

tic()
u100=suite(100)
u500=suite(500)
u1000=suite(1000)
temps1=toc()

tic()
V100=suite2(100);u100=V100(1)      
V500=suite2(500);u100=V500(1)
V1000=suite2(1000);u100=V1000(1)
temps2=toc()

// Convergence du rapport u_(n+1)/u_n
q=zeros(1,10);
for n=1:10
  q(n)=suite(n+1)/suite(n);
end
plot(1:10,q)
  
  
  
  